ignite-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From vveider <mr.wei...@gmail.com>
Subject Scala 2.10 support
Date Wed, 10 Jan 2018 12:24:26 GMT
Hi, Igniters!


While working on Java 9 support adaptation, came to a problem with scala
2.10 and corresponding modules (scala-2.10, spark-2.10 and
visor-console-2.10) which will not compile under Java 9. As I see here [1]
scala 2.10 is already deprecated in spark 2.1.0 (and lately spark version
updated to 2.2.0 in master).

So, I'd like to propose scala-2.10, spark-2.10 and visor-console-2.10
modules for deletion in 2.4 release.

Support for scala 2.11.x (which also will not compile under Java 9) will be
maintained by maven profiles.


[1] http://spark.apache.org/docs/latest/



--
Sent from: http://apache-ignite-developers.2346864.n4.nabble.com/

Mime
View raw message